package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.banner.EmbeddedContainerUtils;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1ParsingException;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERExternal;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.InMemoryRepresentable;
import com.jxdinfo.hussar.core.util.CookieUtils;
import java.io.IOException;

public class DERExternalParser implements DEREncodable, InMemoryRepresentable {
  private ASN1StreamParser false;
  
  public DERObject getLoadedObject() throws IOException {
    return (DERObject)new DERExternal(this.false.final());
  }
  
  public DEREncodable readObject() throws IOException {
    return this.false.readObject();
  }
  
  public DERObject getDERObject() {
    try {
      return getLoadedObject();
    } catch (IOException iOException) {
      while (true) {
        iOException = null;
        throw new ASN1ParsingException(EmbeddedContainerUtils.goto("\n.\0173\025#E.\005u\000=/D.\020+f\027%\0044\0322"), iOException);
      } 
    } catch (IllegalArgumentException illegalArgumentException) {
      throw new ASN1ParsingException(CookieUtils.throws("@\fV\002J\02465x`g2ijt\"jOX\002[\003E\005"), illegalArgumentException);
    } 
  }
  
  public DERExternalParser(ASN1StreamParser aSN1StreamParser) {
    this.false = aSN1StreamParser;
  }
}
